package com.muyu.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.domain.WarnRule;
import com.muyu.common.domain.resp.WarnRuleResp;

import java.util.List;

/**
 * 预警规则Service接口
 *
 * @author muyu
 * @date 2024-09-20
 */
public interface WarnRuleService extends IService<WarnRule> {
    /**
     * 精确查询预警规则
     *
     * @param id 预警规则主键
     * @return 预警规则
     */
    public WarnRule selectWarnRuleById(Long id);

    /**
     * 查询预警规则列表
     * @return 预警规则集合
     */
    List<WarnRuleResp> selectWarnRuleRespList();


    /**
     * 添加
     */
    Integer addWarnRule(WarnRule warnRule);


    /**
     * 修改
     */
    Integer updWarnRule(WarnRule warnRule);

    //根据策略ID查规则
    List<WarnRuleResp> selectListByStrategyId(Long strategyId);

}
